Skip to main content
GET
/
user
/
my
/
profile
Get My Profile
curl --request GET \
  --url https://api.example.com/user/my/profile \
  --header 'Authorization: Bearer <token>'
{
  "user_id": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "full_name": "<string>",
  "job_title": "<string>",
  "department": "<string>",
  "phone_number": "<string>",
  "location": "<string>",
  "bio": "<string>",
  "avatar_url": "<string>",
  "avatar_initials": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

user_id
integer
required
updated_at
string<date-time>
required
full_name
string | null
job_title
string | null
department
string | null
phone_number
string | null
location
string | null
bio
string | null
avatar_url
string | null
avatar_initials
string | null